package com.example.what_the_fantasy.ui.screens

import androidx.compose.foundation.layout.Column
import androidx.compose.foundation.layout.padding
import androidx.compose.foundation.layout.size
import androidx.compose.material3.Text
import androidx.compose.runtime.Composable
import androidx.compose.ui.Modifier
import androidx.compose.ui.draw.drawBehind
import androidx.compose.ui.geometry.CornerRadius
import androidx.compose.ui.graphics.Color
import androidx.compose.ui.res.stringResource
import androidx.compose.ui.unit.dp
import com.example.what_the_fantasy.R
import com.example.what_the_fantasy.data.model.Quote

@Composable
fun QuotePage(quote : Quote) {
    Column(modifier = Modifier.padding(10.dp).drawBehind {
        drawRoundRect(
            Color(70,190,115),
            cornerRadius = CornerRadius(10.dp.toPx())
        )
    }.size(500.dp, 600.dp))
    {
        Text(
            text = '"'+quote.content+'"'

        )
        InfoQuoteText(
            nameId = R.string.source,
            text = quote.source
        )
        InfoQuoteText(
            nameId = R.string.charac,
            text = quote.character
        )
        Text(
            text = "like : " + quote.likes.toString()
        )

    }
}

@Composable
fun InfoQuoteText(nameId : Int, text : String){
    Column{
        Text(
            text = stringResource(id = nameId)
        )

        Text(
            text = text,
            modifier = Modifier
                .drawBehind {
                    drawRoundRect(
                        Color(255,255,255),
                        cornerRadius = CornerRadius(15.dp.toPx())
                    )
                }
                .padding(5.dp)
        )
    }
}